Bug 1279970 - Rewrite section on session timeout using TMOUT env. variable
Rewrite section on session timeout using TMOUT env. variable
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Security_Guide (Show other bugs)
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Mirek Jahoda
: Documentation
Depends On:
Blocks: 1275695
  Show dependency treegraph
Reported: 2015-11-10 10:42 EST by Robert Krátký
Modified: 2016-06-06 05:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-06-06 05:45:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Krátký 2015-11-10 10:42:37 EST
The method of installing screen to enforce session timeouts, though convenient, is not necessarily best-practice. A similar effect can be had with setting the bash or login shell TMOUT variable and setting the variable as read-only.  E.g., readonly TMOUT  in the system-wide bash profile.
Comment 2 Mirek Jahoda 2016-05-09 09:45:07 EDT
Hello, I rewrited the section 4.2.4 [1] to use the TMOUT variable and I consulted the solution with Martin Prpic. Thank you for reviewing.
[1] http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Enterprise_Linux-7-Security_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html#sect-Security_Guide-Administrative_Controls-Enabling_Automatic_Logouts
Comment 3 Robert Krátký 2016-05-13 08:47:09 EDT
Thanks Mirek. I only made some minor changes.

This bug will be closed when the doc goes live on the Customer Portal.

Note You need to log in before you can comment on or make changes to this bug.